E-MailRelay

Public Member Functions | List of all members
GSsl::ProtocolImpBase Class Referenceabstract

A base interface for GSsl::Protocol pimple classes. More...

`#include <gssl.h>`

Inheritance diagram for GSsl::ProtocolImpBase:

## Public Member Functions
virtual | ~ProtocolImpBase ()=default
| Destructor.
virtual Protocol::Result | connect (G::ReadWrite &)=0
| Implements Protocol::connect().
virtual Protocol::Result | accept (G::ReadWrite &)=0
| Implements Protocol::accept().
virtual Protocol::Result | shutdown ()=0
| Implements Protocol::shutdown().
virtual Protocol::Result | read (char *, std::size_t, ssize_t &)=0
| Implements Protocol::read().
virtual Protocol::Result | write (const char *, std::size_t, ssize_t &)=0
| Implements Protocol::write().
virtual std::string | peerCertificate () const =0
| Implements Protocol::peerCertificate().
virtual std::string | peerCertificateChain () const =0
| Implements Protocol::peerCertificateChain().
virtual std::string | cipher () const =0
| Implements Protocol::cipher().
virtual std::string | protocol () const =0
| Implements Protocol::protocol().
virtual bool | verified () const =0
| Implements Protocol::verified().

## Detailed Description

A base interface for GSsl::Protocol pimple classes.

Definition at line 442 of file gssl.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl.h